summaryrefslogtreecommitdiffstats
path: root/source/l/db48/db48.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/db48/db48.SlackBuild')
-rwxr-xr-xsource/l/db48/db48.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/db48/db48.SlackBuild b/source/l/db48/db48.SlackBuild
index 3b3ce45ae..4d3060233 100755
--- a/source/l/db48/db48.SlackBuild
+++ b/source/l/db48/db48.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=db48
VERSION=4.8.30
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:--j7}
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix symbol collision with gcc8:
+zcat $CWD/db.rename.atomic_compare_exchange.diff.gz | patch -p1 --verbose || exit 1
+
# We aren't installing the docs anyway so let's not let them break the build:
zcat $CWD/db48.no.broken.doc.install.diff.gz | patch -p1 --verbose || exit 1